#{extends 'border.html'/}

<div class="container">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
		    <ol class="breadcrumb">
		        <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
		        <li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
		        <li><a href="@{admin.KomoditasCtr.detail(komoditas.id)}">&{'detail_komoditas.label'}</a></li>
		        <li><a href="@{admin.UsulanCtr.index()}">&{'usulan.label'}</a></li>
		        <li class="active">&{'buat.label'} &{'pengumuman.label'}</li>
		    </ol>
		    <!-- End Breadcrumb -->
		</div>
	</div>

    #{alert /}

    <div class="row">
        <div class="alert-container">

        </div>
    	<div class="wizard-form-wrapper">
    		<div class="padded">
    			<div id="rootwizard">
    				<div class="wizard-header">
    					<div class="row">
    						<div class="col-md-5">
    							<h4>&{'buat.label'} &{'pengumuman.label'} ${usulan.nama_usulan}</h4>
    						</div>
    						<div class="col-md-7">
    							<div class="navbar">
					                <div class="navbar-inner">
					                    <ul>
				                            <li>
				                            	<a href="#judul" data-toggle="tab" class="btn-circle">1</a>
				                            </li>
                                            <li>
                                                <a href="#jadwal" data-toggle="tab" class="btn-circle">2</a>
                                            </li>
				                            <li>
				                            	<a href="#dokumenPengadaan" data-toggle="tab" class="btn-circle">3</a>
				                            </li>
				                            <li>
				                            	<a href="#dokumenPenyedia" data-toggle="tab" class="btn-circle">4</a>
				                            </li>
                                            <li>
                                                <a href="#sikap" data-toggle="tab" class="btn-circle">5</a>
                                            </li>
											#{if komoditas.komoditas_kategori_id != komoditasTipeDatafeed && !komoditas.perlu_negosiasi_harga}
                                            #{if komoditas.prakatalog == 0}
												<li>
													<a href="#penyedia" data-toggle="tab" class="btn-circle">6</a>
												</li>
											#{/if}
                                            #{/if}
				                        </ul>
					                </div>
					            </div>
    						</div>
    					</div>
    				</div>
    				<div class="wizard-body">
    					<div class="panel panel-default">
    						<div class="panel-body">
    							<div class="row">
    								#{form @admin.usulanCtr.bukaPenawaranSubmit(), method:'POST',
									class:'form-horizontal form-usulan'}
							        <input type="hidden" name="form.usulan_id" id="usulan-id" value="${usulan.id}"/>
							        <input type="hidden" name="form.isLelang" value="${form.isLelang}"/>
							            <div class="tab-content">
                                            <div class="tab-pane active" id="judul">
                                                <h4>&{'judul_pengumuman.label'}</h4>
                                                <hr>

                                                <div class="form-group">
                                                    <label class="col-md-3 control-label">&{'komoditas.label'}</label>
                                                    <div class="col-md-4">
                                                        <input type="text" class="form-control" value="${komoditas.kode_komoditas + ' - ' + komoditas.nama_komoditas}" readonly>
                                                    </div>
                                                </div>

                                                <div class="form-group required">
                                                    <label class="col-md-3 control-label">&{'judul_pengumuman.label'}</label>
                                                    <div class="col-md-4">
                                                        <input name="form.judul" required class="form-control" value="${usulan.nama_usulan}">
                                                    </div>
                                                </div>

                                            </div>
							                <div class="tab-pane active" id="jadwal">
							                	<h4>&{'jadwal.label'}</h4>
							                	<hr>
							                	#{include 'admin/UsulanCtr/wizard/tab-jadwal.html'/}
							                </div>
                                            <div class="tab-pane" id="dokumenPengadaan">
                                            	<h4>&{'dokumen_pengadaan.label'}</h4>
							                	<hr>
                                            	#{include 'admin/UsulanCtr/wizard/tab-dokumen-pengadaan.html'/}
                                            </div>
							                <div class="tab-pane" id="dokumenPenyedia">
							                	<h4>&{'dokumen_penawaran.label'}</h4>
							                	<hr>
							                	#{include 'admin/UsulanCtr/wizard/tab-dokumen.html'/}
							                </div>
							                <div class="tab-pane" id="sikap">
							                	<h4>&{'data_sikap_verifikasi.label'}</h4>
							                	<hr>
							                	#{include 'admin/UsulanCtr/wizard/tab-datasikap.html'/}
							                </div>
                                            #{if komoditas.komoditas_kategori_id != komoditasTipeDatafeed && !komoditas.perlu_negosiasi_harga}
                                            #{if komoditas.prakatalog == 0}
                                                <div class="tab-pane" id="penyedia">
                                                	<h4>&{'pilih_penyedia.label'}</h4>
							                		<hr>
                                               		#{include 'admin/UsulanCtr/wizard/tab-pilihpenyedia.html'/}
                                               	</div>
                                            #{/if}
                                            #{/if}
							                <ul class="pager wizard">
							                    <li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
							                    <li class="next"><a href="#">&{'selanjutnya.label'}</a></li>
							                    <li class="simpan"><button id="save" class="btn btn-md btn-primary">&{'simpan.label'}</button></li>
							                </ul>
							            </div>
									#{/form}
    							</div>
    						</div>
    					</div>
    				</div>
    			</div>
    		</div>
    	</div>
    </div>

</div>

#{validationPackage /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var have_child = false;
    var current_last_level = 1;
    var obj_rekanan = {};
    var checkedUsers = {};
    var requiredStepSix = ${(komoditas.komoditas_kategori_id != komoditasTipeDatafeed && !komoditas.perlu_negosiasi_harga) || komoditas.prakatalog == 1};
    var skipStepSix = ${komoditas.prakatalog == 0};

    $(document).ready(function() {

        jQuery('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        function stepThree() {
            var status = $('#files').children().length === 0;
            showMessage("Belum upload dokumen!", status);
            return !status;
        }

        function stepFour() {
            var total = 0;
            var totalEmpty = 0;
            jQuery('.dynamic-input').each(function () {
                total++;
                var view = jQuery(this);
                if (view.val() === '') {
                    totalEmpty++;
                }
            });
            jQuery('.dynamic-select').each(function () {
                total++;
                if ($(this).find('option:selected').val() === 'Pilih') {
                    totalEmpty++;
                }
            });
            var status = total > 0 && totalEmpty === 0 && $('.form-horizontal').valid();
            showMessage("Belum mengisi syarat dokumen atau masih terdapat field yang kosong!", !status);
            return status;
        }

        function stepFive() {
            var total = 0;
            jQuery('.sikap-checkbox').each(function () {
                if (this.checked) {
                    total++;
                }
            });
            var status = total > 0;
            showMessage("Belum memilih data sikap untuk di-verifikasi!", !status);
            return status;
        }

        function stepSix() {
            var total = 0;
            var totalChecked = 0;
            jQuery('.user-checkbox').each(function () {
                total++;
                if (this.checked) {
                    totalChecked++;
                }
            });
            var status = total > 0 && totalChecked > 0;
            showMessage("Anda belum memilih penyedia yang menang di lelang SPSE!", !status);
            return status;
        }

        function showMessage(message, show) {
            var container = jQuery('.alert-container');
            if (show) {
                container.html('<div class="alert alert-danger">'+message+'</div>');
            } else {
                container.html('');
            }
        }

        function newValidateDate() {
            var rulesValidateDate = "";
            var arrayStart = [];
            var arrayFinish = [];
            var totalInvalid = 0;
            var positionStart = [];
            var positionFinish = [];
            var beginDate1 = $('#urutan-begin-1').datepicker('getDate');
            var endDate1 = $('#urutan-finish-1').datepicker('getDate');
            var beginDate2 = $('#urutan-begin-2').datepicker('getDate');
            var endDate2 = $('#urutan-finish-2').datepicker('getDate');
            var beginDate3 = $('#urutan-begin-3').datepicker('getDate');
            var endDate3 = $('#urutan-finish-3').datepicker('getDate');
            var beginDate4 = $('#urutan-begin-4').datepicker('getDate');
            var endDate4 = $('#urutan-finish-4').datepicker('getDate');
            var beginDate5 = $('#urutan-begin-5').datepicker('getDate');
            var endDate5 = $('#urutan-finish-5').datepicker('getDate');
            var beginDate6 = $('#urutan-begin-6').datepicker('getDate');
            var endDate6 = $('#urutan-finish-6').datepicker('getDate');
            var beginDate7 = $('#urutan-begin-7').datepicker('getDate');
            var endDate7 = $('#urutan-finish-7').datepicker('getDate');
            var beginDate8 = $('#urutan-begin-8').datepicker('getDate');
            var endDate8 = $('#urutan-finish-8').datepicker('getDate');
            var beginDate9 = $('#urutan-begin-9').datepicker('getDate');
            var endDate9 = $('#urutan-finish-9').datepicker('getDate');
            var beginDate10 = $('#urutan-begin-10').datepicker('getDate');
            var endDate10 = $('#urutan-finish-10').datepicker('getDate');
            var beginDate11 = $('#urutan-begin-11').datepicker('getDate');
            var endDate11 = $('#urutan-finish-11').datepicker('getDate');
            var beginDate12 = $('#urutan-begin-12').datepicker('getDate');
            var endDate12 = $('#urutan-finish-12').datepicker('getDate');
            var beginDate13 = $('#urutan-begin-13').datepicker('getDate');
            var endDate13 = $('#urutan-finish-13').datepicker('getDate');
            var beginDate14 = $('#urutan-begin-14').datepicker('getDate');
            var endDate14 = $('#urutan-finish-14').datepicker('getDate');

            jQuery('.range-container').each( function () {
                var view = jQuery(this);
                var start = view.find('.begind-date');
                var dateStart = start.datepicker('getDate');
                if (dateStart == null) {
                    totalInvalid++;
                    arrayStart.push(dateStart);
                    positionStart.push(start);
                } else {
                    arrayStart.push(dateStart.toISOString());
                    positionStart.push(start);
                }
                var finish = view.find('.finish-date');
                var dateFinish = finish.datepicker('getDate');
                if (dateFinish == null) {
                    totalInvalid++;
                    arrayFinish.push(dateFinish);
                    positionFinish.push(finish);
                } else {
                    arrayFinish.push(dateFinish.toISOString());
                    positionFinish.push(finish);
                }
            });
            var statusDetailDateKosong = "";
            for (var i = 0; i < arrayStart.length; i++) {
                if (arrayStart[i] == null) {
                    statusDetailDateKosong += "Tanggal " + positionStart[i].attr("attr-id")+"<br/>";
                }
            }
            for (var i = 0; i < arrayFinish.length; i++) {
                if (arrayFinish[i] == null) {
                    statusDetailDateKosong += "Tanggal " + positionFinish[i].attr("attr-id")+"<br/>";
                }
            }
            if (statusDetailDateKosong != "") {
                statusDetailDateKosong = "Tanggal tidak boleh kosong : <br/>" + statusDetailDateKosong;
            }

            //rule tahapan 2 awal
            if (beginDate2 < beginDate1) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-2').attr("attr-id")
                        + " harus lebih besar atau sama dengan tanggal tahapan " + $('#urutan-begin-1').attr("attr-id") + "<br/>";
            }
            //rule tahapan 2 akhir
            if (endDate2 > endDate1) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-finish-2').attr("attr-id")
                        + " harus lebih kecil atau sama dengan tanggal tahapan " + $('#urutan-finish-1').attr("attr-id") + "<br/>";
            }
            //rule tahapan 3 awal
            if (beginDate3 < beginDate1) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-3').attr("attr-id")
                        + " harus lebih besar atau sama dengan tanggal tahapan " + $('#urutan-begin-1').attr("attr-id") + "<br/>";
            }
            //rule tahapan 3 akhir
            if (endDate3 > endDate1) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-finish-3').attr("attr-id")
                        + " harus lebih kecil atau sama dengan tanggal tahapan " + $('#urutan-finish-1').attr("attr-id") + "<br/>";
            }
            //rule tahapan 4 awal
            if (beginDate4 <= endDate1) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-4').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-1').attr("attr-id") + "<br/>";
            }
            //rule tahapan 5 awal
            if (beginDate5 <= endDate4) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-5').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-4').attr("attr-id") + "<br/>";
            }
            //rule tahapan 6 awal
            if (beginDate6 <= endDate4) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-6').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-4').attr("attr-id") + "<br/>";
            }
            //rule tahapan 7 awal
            if (beginDate7 <= endDate6) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-7').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-6').attr("attr-id") + "<br/>";
            }
            //rule tehapan 8 awal
            if (beginDate8 <= endDate6) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-8').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-6').attr("attr-id") + "<br/>";
            }
            //rule tahapan 9 awal
            if (beginDate9 <= endDate4) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-9').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-4').attr("attr-id") + "<br/>";
            }
            //rule tahapan 10 awal
            if (beginDate10 <= endDate8) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-10').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-8').attr("attr-id") + "<br/>";
            }
            //rule tahapan 11 awal
            if (beginDate11 <= endDate8) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-11').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-8').attr("attr-id") + "<br/>";
            }
            //rule tahapan 12 awal
            if (beginDate12 <= endDate8) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-12').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-8').attr("attr-id") + "<br/>";
            }
            //rule tahapan 13 awal
            if (beginDate13 <= endDate11) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-13').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-11').attr("attr-id") + "<br/>";
            }
            //rule tahapan 14 awal
            if (beginDate14 <= endDate11) {
                totalInvalid++;
                rulesValidateDate += "Tanggal tahapan " + $('#urutan-begin-14').attr("attr-id")
                        + " harus lebih besar dari tanggal tahapan " + $('#urutan-finish-11').attr("attr-id") + "<br/>";
            }

            if (rulesValidateDate != "") {
                if (statusDetailDateKosong != "") {
                    statusDetailDateKosong += "<br/>";
                }
                statusDetailDateKosong += "Kesalahan penerapan aturan tanggal pengumuman :<br/>" + rulesValidateDate;
            }
            var status = totalInvalid > 0;
            showMessage(statusDetailDateKosong, status);
            return !status;
        }

        /*function validateDate() {
            var array = [];
            var totalInvalid = 0;
            var position =[];
            jQuery('.range-container').each( function () {
                    var view = jQuery(this);
                    var start = view.find('.begind-date');
                    var dateS = start.datepicker('getDate');
                    if (dateS == null) {
                        totalInvalid++;
                    }
                    var finish = view.find('.finish-date');
                    console.log(finish);
                    var date = finish.datepicker('getDate');
                    if (date == null) {
                        totalInvalid++;

                    } else {
                        array.push(date.toISOString());
                        position.push(finish);
                    }
            });
            var statusDetail = "";
            var first = array[0];
            for (var i = 0; i < array.length; i++) {
                console.log(position[i].attr("attr-id"));
                if (array[i] >= first) {
                    first = array[i];
                } else {
                    totalInvalid++;
                    statusDetail += position[i].attr("attr-id")+"<br/>";
                }
            }
            if (statusDetail != "") {
                statusDetail = "<br/>"+statusDetail;
            }
            var status = totalInvalid > 0;
            showMessage("Tanggal Tidak boleh kosong, dan Tanggal selesai setiap tahapan tidak bisa lebih kecil dari tanggal selesai tahapan sebelumnya!. Pada Tanggal: "+statusDetail, status);
            return !status;
        }*/

		function automatedSaving() {
			let form = new FormData($('.form-usulan')[0])
			$.ajax({
				type: 'POST',
				url: '@{admin.usulanCtr.automatedSavingUsulan()}',
				data: form,
				enctype: 'multipart/form-data',
				processData: false,
				contentType: false,
				cache: false,
				success: function(result) {
					if (result.status && result.payload != null) {
						$('#product-id').val(result.payload.id)
					}
				},
				error: function(data) {
				}
			})
		}

        $('#rootwizard').bootstrapWizard({
            onTabShow : function(tab, navigation, index) {
                $('.next').show();
                $('.simpan').hide();
                var $total = navigation.find('li').length;
                var $current = index + 1;
                var $percent = ($current / $total) * 100;
                $('#rootwizard .progress-bar').css({
                    width : $percent + '%'
                });

                if($current === $total) {
                    $('.next').hide();
                    $('.simpan').css('float', 'right');
                    $('.simpan').show();
                }
				if (index !== 0) {
					automatedSaving()
				}
            },
            onTabClick: function(tab, navigation, index) {
                // alert('on tab click disabled');
                return false;
            },
            onNext: function (tab, navigation, index) {
                if (index === 2) {
                    return newValidateDate();
                } else if (index === 3) {
                    return stepThree();
                } else if (index === 4) {
                    return stepFour();
                } else if (index === 5) {
                    return stepFive();
                } else if (index === 6) {
                    return stepSix();
                }
                return jQuery('.form-horizontal').valid();
            }
        });

        $("#addInput").on("click",function(){
            var str = "<tr>" +
                    "<td><a id='removeInput' class='btn red'><i class='fa fa-trash'></i></a></td>" +
                    "<td><select name='form.jenis_evaluasi' class='form-control dynamic-select' required>" +
                    "<option>Pilih</option>" +
                    "<option value='administrasi'>Administrasi</option>" +
                    "<option value='harga'>Harga</option>" +
                    "<option value='kualifikasi'>Kualifikasi</option>" +
                    "<option value='teknis' >Teknis</option></select></td>"+
                    "<td><input type='text' required class='form-control dynamic-input alphanumeric' value='' name='form.dokumen_arr' placeholder='Nama Dokumen'/></td>" +
                    "</tr>";
            $("#inputForm").append(str);
        });

        $("body").on("click","#removeInput",function(){
            $(this).parent().parent().remove();
        });

        $("#removeAllInput").on("click",function(){
            $("#inputForm tbody").remove();
        });

        $("#save").on("click",function(){
            // console.log("skip? " + skipStepSix);
            if(skipStepSix){
                // console.log("lewat sini?" + skipStepSix);
                if (requiredStepSix && !stepSix()) {
                    return false;
                } else if (!requiredStepSix && !stepFive()) {
                    return false;
                }
            }else if(!stepFive()){
                return false;
            }


            return confirm('Apakah Anda Yakin Data yang diisi sudah benar? Karena setelah dibuka penawaran, Dokumen dan Data SIKaP tidak dapat dirubah lagi.');
        });

        $("body").on("click", "#find-user", function () {
            var keyword = $("#keyword").val();
            if(keyword.length < 3){
                showToast("Isi minimal 3 huruf keyword");
            }else{
                findUser();
            }
        });

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }


        function findUser(){
            var searchType = $("#search-type").val();
            var keyword = $("#keyword").val();

            var loader = Ladda.create(document.querySelector('#find-user'));
            loader.start();

            $("#keyword").prop('readonly', true);
            $("#search-type").prop('disabled', true);

            $.ajax({
                type:'post',
                url:'@{masterdata.PenyediaCtr.findPenyedia()}',
                dataType:'json',
                data:{
                    searchType: searchType,
                    keyword: keyword
                },
                success: function(data){
                    if(data != null){
                        if(data.message == "success" && data.penyediaList != null){
                            appendToTable(data.penyediaList);
                        }else{
                            showToast(data.message);
                        }
                    }
                    loader.stop();
                    $("#keyword").prop('readonly', false);
                    $("#search-type").prop('disabled', false);
                },
                fail: function (e) {
                    loader.stop();
                    showToast("Terjadi kesalahan");
                    $("#keyword").prop('readonly', false);
                    $("#search-type").prop('disabled', false);
                }
            });
        }

        function appendToTable(data){
            $("#table-user tbody").empty();

            $.each(data,function (index, obj) {
                var tr = $(document.createElement('tr'));

                var order_number = $(document.createElement('td'));
                order_number.html(index+1);
                var username = $(document.createElement('td'));
                username.html(obj.username);
                var name = $(document.createElement('td'));
                name.html(obj.nama_penyedia);
                var email = $(document.createElement('td'));
                email.html(obj.email);

                var aksi = $(document.createElement('td'));
                var input = $(document.createElement('input'));
				input.attr("type","checkbox");
                input.attr("name","penyedia");
                input.attr("class", "user-checkbox");
                input.val(obj.id);

				aksi.append(input);

                tr.append(order_number);
                tr.append(username);
                tr.append(name);
                tr.append(email);
                tr.append(aksi);

                $("#table-user tbody").append(tr);
            });
        }

        jQuery(document).on('check', '.user-checkbox', function () {
            if (this.checked) {
                checkedUsers[this.val()] = this.val();
            } else {
                delete checkedUsers[this.val()];
            }
        });

        $(document).on('click', '#tambah-dokumen-pengadaan', function(){
            $("#fileupload").click();
        });

        $(document).on('click', '#fileupload', function(){
            $('#fileupload').fileupload({
                url: '@{admin.UsulanCtr.uploadDokumenPengadaan()}',
                formData: {usulanId: $('#usulan-id').val()},
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|zip|rar|rtf|jpe?g|png)$/i,
                done: function (e, data) {
                    // console.log(data);
                    $.each(data.result.files, function (index, file) {

                        var li = $("<li>",{"class": "list-group-item col-md-4"}).css("margin-right","1em").css("margin-bottom","1em").css("max-height","52px");

                        var labelWrapper = $("<div>",{"class": "col-md-10"});
                        var label = $("<div>",{"class":"dok-file"}).css("padding-top","7px");
                        label.html(file.name);
                        labelWrapper.append(label);

                        var removeButtonWrapper = $("<div>",{"class": "col-md-2"});
                        var removeButton = $("<a>",{"class": "removeDok pull-right","versi":file.versi,"fileId":file.id,"href":"javascript:void(0)"});
                        var icon = $("<i>",{"class":"fa fa-trash-o"});
                        removeButton.append(icon);
                        removeButtonWrapper.append(removeButton);

                        var input = $("<input>",{"name":"pengadaan","value":file.id,"type":"hidden"});

                        li.append(labelWrapper);
                        li.append(removeButtonWrapper);
                        li.append(input);
                        li.append($("<div>",{"class":"clearfix"}));

                        $('#files').append(li);
                    });

                    $('#progressFile').hide();
                    $('#alert-upload').hide();

                    if (data.result.errorx != null){
                        //$('#alert-upload').attr('class', 'alert alert-danger').html("&{'paket.upload_failed'}");
                        //alert("&{'paket.upload_failed'}");
                        showToast("&{'paket.upload_failed'}");
                    }
                },
                error: function (jqXHR, exception) {
                    //alert(jqXHR.status);
                    var msg = '';
                    if (jqXHR.status === 0) {
                        msg = 'Not connect.\n Verify Network.';
                    } else if (jqXHR.status == 404) {
                        msg = 'Requested page not found. [404]';
                    } else if (jqXHR.status == 500) {
                        msg = 'Internal Server Error [500].';
                    } else if (exception === 'parsererror') {
                        msg = 'Requested JSON parse failed.';
                    } else if (exception === 'timeout') {
                        msg = 'Time out error.';
                    } else if (exception === 'abort') {
                        msg = 'Ajax request aborted.';
                    } else {
                        msg = 'Uncaught Error.\n' + jqXHR.responseText;
                    }
                    alert(msg);
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#progressFile').show();
                    $('#progressFile .progress-bar').css(
                            'width',
                            progress + '%'
                    );
                }
            }).on('fileuploadprocessalways', function (e, data) {
                var file = data.files[data.index];
                if (data.files.error && file.error) {
                    var msg = file.name+' - '+file.error
                    $('#alert-').attr('class', 'alert alert-danger').html(msg)
                }
            }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
        });

        $("body").on("click",".removeDok",function(){
            var btId = $(this).attr("fileid");
            var field = $(this); 
            $.ajax({
                url: '@{admin.UsulanCtr.removeDokumenPengadaan()}',
                data: {"btId": btId},
                type: 'GET',
                success: function (res) {
                	console.log(res)
                    field.parent().parent().remove();
                },
                error: function () {
                    $('#alert-').attr('class', 'alert alert-danger').html("Gagal menghapus file.");
                }
            });
            
        });

        $('.datepicker').datepicker()
        .on("changeDate", function(e) {
            //var name = $(this).attr("name");//.split('.');
            //changeDate(name, e.date);
            var name = $(this).attr("id");
            newRulesDate(name, e.date);
        });
    });

    var changeDate = function(name, date){
        var arrName = name.split('.');
        if(arrName[2] == "tanggal_mulai"){
            arrName.pop();
            arrName.push("tanggal_selesai");
            $('.finish-date[name="' + arrName.join(".") + '"]').data("datepicker").setStartDate(date);
            changeDate(arrName.join("."), date);
        }else{
            var arrNF = ["form"];
            var i = arrName[1].replace(arrName[1].match(/\d+/)[0],parseInt(arrName[1].match(/\d+/)[0]) + 1);
            arrNF.push(i);
            arrNF.push("tanggal_mulai");
            if($('.datepicker[name="' + arrNF.join(".") + '"]').length > 0){
                $('.datepicker[name="' + arrNF.join(".") + '"]').data("datepicker").setStartDate(date);
                changeDate(arrNF.join("."), date);
            }
        }
    }

    var newRulesDate = function(name, date){
        var arrName = name.substr(name.indexOf("-") + 1);
        var nextDay = new Date(date);
        nextDay.setDate(nextDay.getDate() + 1);
        if (arrName == "begin-1") {
            $('#urutan-begin-2').data("datepicker").setStartDate(date);
            $('#urutan-begin-3').data("datepicker").setStartDate(date);
            $('#urutan-finish-2').data("datepicker").setStartDate(date);
            $('#urutan-finish-3').data("datepicker").setStartDate(date);
        }
        else if (arrName == "finish-1") {
            $('#urutan-begin-2').data("datepicker").setEndDate(date);
            $('#urutan-begin-3').data("datepicker").setEndDate(date);
            $('#urutan-finish-2').data("datepicker").setEndDate(date);
            $('#urutan-finish-3').data("datepicker").setEndDate(date);
            $('#urutan-begin-4').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-4').data("datepicker").setStartDate(nextDay);
        }
        else if (arrName == "finish-4") {
            $('#urutan-begin-5').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-6').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-9').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-5').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-6').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-9').data("datepicker").setStartDate(nextDay);
        }
        else if (arrName == "finish-6"){
            $('#urutan-begin-7').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-8').data("datepicker").setStartDate(nextDay)
            $('#urutan-finish-7').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-8').data("datepicker").setStartDate(nextDay);
        }
        else if (arrName == "finish-8"){
            $('#urutan-begin-10').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-11').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-12').data("datepicker").setStartDate(nextDay)
            $('#urutan-finish-10').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-11').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-12').data("datepicker").setStartDate(nextDay);
        }
        else if (arrName == "finish-11"){
            $('#urutan-begin-13').data("datepicker").setStartDate(nextDay);
            $('#urutan-begin-14').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-13').data("datepicker").setStartDate(nextDay);
            $('#urutan-finish-14').data("datepicker").setStartDate(nextDay);
        }
    }

</script>
#{/set}
